QwtPlotPrintFilter(3)

NAME
QwtPlotPrintFilter -

A base class for plot print filters.

SYNOPSIS

#include <qwt_plot_printfilter.h>

  Public Types
enum Item { Title, Legend, Curve, CurveSymbol, Marker, MarkerSymbol, MajorGrid, MinorGrid, CanvasBackground, AxisScale, AxisTitle, WidgetBackground }
enum Options { PrintMargin = 1, PrintTitle = 2, PrintLegend = 4, PrintGrid = 8, PrintBackground = 16, PrintFrameWithScales = 32, PrintAll = ~PrintFrameWithScales }

  Public Member Functions
virtual void apply (QwtPlot *) const
virtual void apply (QwtPlotItem *) const
virtual QColor color (const QColor &, Item item) const
virtual QFont font (const QFont &, Item item) const
int options () const
QwtPlotPrintFilter ()
virtual void reset (QwtPlotItem *) const
virtual void reset (QwtPlot *) const
void setOptions (int options)
virtual ~QwtPlotPrintFilter ()

Detailed Description

A base class for plot print filters. A print filter can be used to customize QwtPlot::print().

Deprecated
    In Qwt 5.0 the design of QwtPlot allows/recommends writing individual QwtPlotItems, that are not known to QwtPlotPrintFilter. So this concept is outdated and QwtPlotPrintFilter will be removed/replaced in Qwt 6.x.

Member Enumeration Documentation

  enum QwtPlotPrintFilter::Item

Print items.

  enum QwtPlotPrintFilter::Options

Print options.

Constructor & Destructor Documentation

  QwtPlotPrintFilter::QwtPlotPrintFilter () [explicit] Sets filter options to PrintAll

  QwtPlotPrintFilter::~QwtPlotPrintFilter () [virtual]

Destructor.

Member Function Documentation

  void QwtPlotPrintFilter::apply (QwtPlot *plot) const [virtual] Change color and fonts of a plot

See also:
    apply()

  QColor QwtPlotPrintFilter::color (const QColor &c, Itemitem) const [virtual]

Modifies a color for printing. Parameters:
    c Color to be modified
    item Type of item where the color belongs

Returns:
    Modified color.

In case of !(QwtPlotPrintFilter::options() & PrintBackground) MajorGrid is modified to Qt::darkGray, MinorGrid to Qt::gray. All other colors are returned unmodified.

  QFont QwtPlotPrintFilter::font (const QFont &f, Itemitem) const [virtual]

Modifies a font for printing. Parameters:
    f Font to be modified
    item Type of item where the font belongs

All fonts are returned unmodified

  int QwtPlotPrintFilter::options () const

Get plot print options. See also:
    setOptions()

  void QwtPlotPrintFilter::reset (QwtPlot *plot) const [virtual] Reset color and fonts of a plot

See also:
    apply()

  void QwtPlotPrintFilter::setOptions (intoptions)

Set plot print options. Parameters:
    options Or'd QwtPlotPrintFilter::Options values

See also:
    options()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.